Index: Makefile.am
===================================================================
--- Makefile.am	(revision 53e540d5b3ba8b09dcdf1f90cf514182a491d9d3)
+++ Makefile.am	(revision a9494ad1c5e523f94b0d172045537662de58fd54)
@@ -1,8 +1,7 @@
 # libabac
 lib_LTLIBRARIES = libabac/libabac.la creddy/libcreddy.la
-bin_PROGRAMS = libabac/abac_prover_yap libabac/abac_prover
+bin_PROGRAMS = libabac/abac_prover_yap creddy/creddy
 #bin_PROGRAMS = libabac/abac_prover libabac/abac_prover_plus \
-#	       creddy/creddy libabac/abac_prover_yap libabac/abac_prover_yap_dbg \
-#               libabac/abac_rt_parser libabac/abac_ort_parser
+#	       creddy/creddy libabac/abac_prover_yap
 
 BUILT_SOURCES  = swig/python/ABAC.py swig/perl/ABAC.pm swig/python/abac_wrap.cxx swig/perl/abac_wrap.cxx
@@ -14,6 +13,6 @@
     libabac/abac_list.c \
     libabac/abac_list.h \
-    libabac/abac_graph.c \
-    libabac/abac_graph.h \
+    libabac/abac_stack.c \
+    libabac/abac_stack.h \
     libabac/abac_role.c \
     libabac/abac_set.c \
@@ -23,4 +22,12 @@
     libabac/abac_verifier.c \
     libabac/abac_verifier.h \
+    libabac/abac_param.c \
+    libabac/abac_pl_gen.c \
+    libabac/abac_pl_yy.c \
+    libabac/abac_pl_yy.h \
+    libabac/rt2.c \
+    libabac/rt2.yy.c \
+    libabac/abac_pl_yap.c \
+    libabac/abac_pl_yap.h \
     libabac/uthash.h \
     libabac/utlist.h
@@ -28,7 +35,7 @@
 
 libabac_libabac_la_LDFLAGS = -version-info 1:2:1
-libabac_libabac_la_LIBADD = -lstrongswan
+libabac_libabac_la_LIBADD = -lstrongswan -lYap -lreadline -lm
 
-libabac_abac_prover_SOURCES = libabac/prover.c libabac/options.c libabac/abac.h libabac/ort0.c libabac/ort0.yy.c
+libabac_abac_prover_SOURCES = libabac/prover.c libabac/options.c libabac/abac.h 
 libabac_abac_prover_LDADD = $(top_builddir)/libabac/libabac.la $(libabac_libabac_la_LIBADD)
 
@@ -37,35 +44,17 @@
 
 ## prover_yap
-libabac_abac_prover_yap_SOURCES = libabac/prover_yap.c libabac/options.c libabac/abac.h libabac/abac_pl.c libabac/abac_pl_yap.c libabac/abac_pl.h libabac/abac_pl_yap.h libabac/ort0.c libabac/ort0.yy.c
-libabac_abac_prover_yap_LDADD = $(top_builddir)/libabac/libabac.la $(libabac_libabac_la_LIBADD) -lYap -lreadline -lm
+libabac_abac_prover_yap_SOURCES = libabac/prover_yap.c libabac/options.c libabac/abac_pl.h libabac/abac_pl_yap.h
+libabac_abac_prover_yap_LDADD = $(top_builddir)/libabac/libabac.la $(libabac_libabac_la_LIBADD)
+### -lYap -lreadline -lm
 
-## prover_yap_dbg
-libabac_abac_prover_yap_dbg_SOURCES = libabac/prover_yap_dbg.c libabac/options.c libabac/abac.h libabac/abac_pl.c libabac/abac_pl_yap_dbg.c libabac/abac_pl.h libabac/abac_pl_yap_dbg.h libabac/abac_pl_yap.c libabac/abac_pl_yap.h libabac/rt0.c libabac/rt0.yy.c 
-libabac_abac_prover_yap_dbg_LDADD = $(top_builddir)/libabac/libabac.la $(libabac_libabac_la_LIBADD) -lYap -lreadline -lm
+#libabac/rt0.yy.c : libabac/rt0.l
+#	$(LEX) -o libabac/rt0.yy.c libabac/rt0.l
+#libabac/rt0.c : libabac/rt0.y
+#	$(YACC) -d libabac/rt0.y -o libabac/rt0.c
 
-## rt_parser 
-libabac_abac_rt_parser_SOURCES = libabac/rt0.main.c libabac/rt0.c libabac/rt0.yy.c 
-libabac_abac_rt_parser_LDADD = $(top_builddir)/libabac/libabac.la $(libabac_libabac_la_LIBADD)
-## ort_parser 
-libabac_abac_ort_parser_SOURCES = libabac/rt0.main.c libabac/ort0.c libabac/ort0.yy.c 
-libabac_abac_ort_parser_LDADD = $(top_builddir)/libabac/libabac.la $(libabac_libabac_la_LIBADD)
-
-libabac/rt0.yy.o : libabac/rt0.yy.c
-	$(CC) -g -c -DABAC_YY_DEBUG_CANNED -o libabac/rt0.yy.o libabac/rt0.yy.c
-
-libabac/rt0.yy.c : libabac/rt0.l
-	$(LEX) -o libabac/rt0.yy.c libabac/rt0.l
-
-libabac/rt0.c : libabac/rt0.y
-	$(YACC) -d libabac/rt0.y -o libabac/rt0.c
-
-libabac/ort0.yy.o : libabac/ort0.yy.c
-	$(CC) -g -c -DABAC_YY_INPUT -o libabac/ort0.yy.o libabac/ort0.yy.c
-
-libabac/ort0.yy.c : libabac/ort0.l
-	$(LEX) -o libabac/ort0.yy.c libabac/ort0.l
-
-libabac/ort0.c : libabac/ort0.y
-	$(YACC) -d libabac/ort0.y -o libabac/ort0.c
+libabac/rt2.yy.c : libabac/rt2.l
+	$(LEX) -o libabac/rt2.yy.c libabac/rt2.l
+libabac/rt2.c : libabac/rt2.y
+	$(YACC) -d libabac/rt2.y -o libabac/rt2.c
 
 # creddy
